#NetHack configuration file
 log c:\tp\exec\nethack.log

#help text
 alias xpause 'pause "Press any key to continue ..."'
 alias help1 'write "{appname} commands{\n}-------------------{\n}quit          terminate program{\n}exec <x>      execute script file <x>{\n}help          this help{\n}clear         clear console{\n}info          print statistics{\n}write <x>     write string <x> to the screen{\n}alias <x> <y> command <y> will be executed when you type <x>{\n}set <x> <y>   assign value <y> to variable <x>{\n}getip <x>     get IP from hostname{\n}cmd <x>       execute command <x> (via winexec){\n}decomp <x>    decompose adress into protocol, server, port and{\n}              document variables. Document is then decomposed{\n}              into directory and file variables{\n}mbox <x> <y>  create messagebox with title <y> and text <x>{\n}pause <x>     wait for keypress and display string <x>{\n}httpget <x>   download file <x>. Uses decomp as part of process,{\n}              so overwrite any variables set by decomp by data{\n}              from specified address{\n}save <x>      save file from memory to disk{\n}"'
 alias help2 'write "{appname} variables{\n}-------------------{\n}debug [0-3]  0 = off, 1 = to screen, 2 = to logfile, 3 = both{\n}quiet [0|1]  display less text{\n}echo [0|1]   echo commands from executed scripts (for debugging){\n}basedir <x>  change directory on local computer{\n}log <x>      set log output to file <x>{\n}undef <x>    string to pass if a variable is not defined{\n}header <x>   string to send as header. Use {\b}{\l}document{\r}{\b} in{\n}             header on place of retrieved document. Header should end{\n}             with two CRLF{\a}s ({\l}\n{\r}{\l}\n{\r}){\n}protocol, server, port, document, directory and file are variables{\n}used by decomp{\n}httpget variables:{\n}savename     Save file from httpget with this name. If empty, the{\n}             name of the saved document is used{\n}savemode     0 -do not save anything{\n}             1 -save to memory (can save to disk with {\b}save{\b}){\n}             2 -save to memory and then to disk.{\n}             3 -save directly to disk (good for big files).{\n}Read-only variables:{\n}appname      name of the program ({appname}){\n}appversion   version of {appname} (this is version {appversion}){\n}apptitle     the text on {appname} window{\n}localhost    getlocalhost set this variable to local hostname{\n}ip           getip set this to resolved hostname IP. Contain{\n}             {\b}Invalid{\b} if error ocured during resolving{\n}"'
 alias help3 'write "use {\l}variable_name{\r} to use a variable{\n}use {\l}\l{\r} to put {\b}{\l}{\b} in text{\n}use {\l}\r{\r} to put {\b}{\r}{\b} in text{\n}use {\l}\b{\r} to put ->{\b}<- in text{\n}use {\l}\a{\r} to put ->{\a}<- in text{\n}use {\l}\n{\r} to put CR-LF in text{\n}use {\l}param{\r}, {\l}param1{\r}, {\l}param2{\r} ... {\l}param100{\r} as parameters{\n}in aliases, but they will behave unexpectedly outside of aliases{\n}use ; to separate more comands on one line{\n}Note:aliases and variables share the same namespace. Thus you{\n}cannot have alias and variable with same name, but you can use{\n}alias as variable with {\l}alias_name{\r} or execute a variable{\n}like an alias"'
 alias help "help1;xpause;help2;xpause;help3"

#macro's and aliases
 alias savehtmlimg "httpget {param1};set ex_separator ';httpget ';set ex_header 'httpget ';set ex_footer '';set ex_flags 130;extractlink cmdimg;cmdimg"
 alias savehtmlink "httpget {param1};set ex_separator ';httpget ';set ex_header 'httpget ';set ex_footer '';set ex_flags 129;extractlink cmdlink;cmdlink"
 alias setref "set header {header_getref}"
 alias setunref "set header {header_get}"
 alias sub_httpget "if {referer} = '' setunref setref;httpget {url}"
 alias cd	   "basedir {param1}"
 alias dlgot1 "set dlgouttext 'Leaving {\b}Save file as..{\b} blank will save it under name of the file location. Leaving {\b}Save server header as..{\b} blank will not save the header{\n}{\n}'"
 alias dlgget "dlgot1;set dlgtitle 'Httpget dialog';set dlgintext 'Save file from web';set dlgwidth 400;set dlgtextwidth 100;dialog 'File URL' url Referer referer 'Proxy server' proxy 'Save mode' ^savemode 'Save server{\n}header as..' savehname 'Save file as...' savename 'Process HTTP{\n}codes flag' ^proc_http; if {result} = 1 sub_httpget 'write Download canceled'"
 alias setup "dlgot1;set dlgtitle '{appname} settings';set dlgintext '';set dlgwidth 400;set dlgtextwidth 110;dialog Referer referer 'Proxy server' proxy 'Save mode' ^savemode 'Save server{\n}header as..' savehname 'Save file as...' savename 'Process HTTP{\n}codes flag' ^proc_http 'Receive buffer{\n}size' buffer; if {result} = 1 'write Settings changed'"
 alias miscsetup "set dlgouttext '';set dlgtitle '{appname} misc. settings';set dlgintext '';set dlgwidth 400;set dlgtextwidth 110;dialog 'Extractlink flags' ex_flags Overwrite ^overwrite 'Ping repeat{\n}count' pingrepeat 'Ping timeout' pingtimeout 'Show Headers' ^showheader 'Window title' title debug ^debug echo ^echo quiet ^quiet; if {result} = 1 'write Settings changed'"
 alias varsetup "set dlgouttext '';set dlgtitle '{appname} variables';set dlgintext '';set dlgwidth 400;set dlgtextwidth 80;dialog referer referer proxy proxy savemode |savemode savehname savehname savename savename proc_http |proc_http buffer buffer debug |debug echo |echo quiet |quiet ex_flags ex_flags overwrite |overwrite pingrepeat pingrepeat pingtimeout pingtimeout showheader |showheader title title; if {result} = 1 'write Settings changed'"
 alias uasetup "set dlgouttext '';set dlgtitle 'User-agent selection';set dlgintext '{ua_list}{\n}Current: {cua_desc}';set dlgwidth 500;set dlgtextwidth 80;dialog 'User agent:' ^current_ua; if {result} = 1 'uset {current_ua};set header {header_get};write User-agent changed'"
 alias ex1 'Process <a href=... links'
 alias ex2 'Process <img src=... links'
 alias ex3 'Process <script src=... links'
 alias ex4 'Process <frame src=... links'
 alias ex5 'Process <iframe src=... links'
 alias ex6 'Process href=... links not in <a ...> '
 alias ex7 'Process src=... links not in img, script, frame or iframe'
 alias ex8 'Convert relative to absolute references'
 alias ex9 'Process "mailto:" and "news:" links'
 alias ex10 'Do not check links for uniqueness'
 alias ex11 'Clear internal link list at begin'
 alias ex12 'Do not clear internal link list at exit'
 alias exsetup "bindec {ex_flags} 12 e;set dlgouttext '';set dlgtitle 'ex_flags setting';set dlgintext '';set dlgwidth 500;set dlgtextwidth 80;dialog {ex1} #e1 {ex2} #e2 {ex3} #e3 {ex4} #e4 {ex5} #e5 {ex6} #e6 {ex7} #e7 {ex8} #e8 {ex9} #e9 {ex10} #e10 {ex11} #e11 {ex12} #e12; if {result} = 1 'set ex_flags {e12}{e11}{e10}{e9}{e8}{e7}{e6}{e5}{e4}{e3}{e2}{e1}b'"

 set _overwrite "-2{\n}-1{\n}0{\n}1"
 set _showheader "0{\n}1{\n}2"
 set _savemode "0{\n}1{\n}2{\n}3{\n}4{\n}5"
 set _proc_http "0{\n}1{\n}2{\n}3{\n}4{\n}5{\n}6{\n}7"
 set _debug "0{\n}1{\n}2{\n}3"
 set _echo "0{\n}1"
 set _quiet "0{\n}1"

#includes
 exec headers.n	;#IE/Netscape and other headers
 exec proxy.n	;#Proxy definitions
 exec hack.n	;#Hacking commands
#add other config as you wish
 alias url "http://www.volny.cz/hack/"

 wsastartup	;#WinSock init, NEEDED before any other network functions!!!

exec autoexec.n